<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:47 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class io.mosip.registration.dto.PacketStatusDTO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class io.mosip.registration.dto.PacketStatusDTO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/class-use/PacketStatusDTO.html" target="_top">Frames</a></li>
<li><a href="PacketStatusDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class io.mosip.registration.dto.PacketStatusDTO" class="title">Uses of Class<br>io.mosip.registration.dto.PacketStatusDTO</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.dao">io.mosip.registration.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.dao.impl">io.mosip.registration.dao.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service">io.mosip.registration.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet">io.mosip.registration.service.packet</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet.impl">io.mosip.registration.service.packet.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.sync">io.mosip.registration.service.sync</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.dao">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a> in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> with parameters of type <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#updatePacketSyncStatus-io.mosip.registration.dto.PacketStatusDTO-">updatePacketSyncStatus</a></span>(<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;packet)</code>
<div class="block">Update the Packet sync status in the database.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#updateRegStatus-io.mosip.registration.dto.PacketStatusDTO-">updateRegStatus</a></span>(<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;packetStatus)</code>
<div class="block">This method is used to update the registration status in the Registration
 table.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a> in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> with parameters of type <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#updatePacketSyncStatus-io.mosip.registration.dto.PacketStatusDTO-">updatePacketSyncStatus</a></span>(<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;packet)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#updateRegStatus-io.mosip.registration.dto.PacketStatusDTO-">updateRegStatus</a></span>(<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;registrationPacket)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a> in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a> that return <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/BaseService.html#packetStatusDtoPreperation-io.mosip.registration.entity.Registration-">packetStatusDtoPreperation</a></span>(<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>
<div class="block">Convertion of Registration to Packet Status DTO.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a> in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ReRegistrationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/ReRegistrationService.html#getAllReRegistrationPackets--">getAllReRegistrationPackets</a></span>()</code>
<div class="block">This methos is used to get all the packets that needs to be reregistered.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PacketExportService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketExportService.html#getSynchedRecords--">getSynchedRecords</a></span>()</code>
<div class="block">Get the Synched records from the table</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a> with type arguments of type <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketExportService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketExportService.html#updateRegistrationStatus-java.util.List-">updateRegistrationStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;exportedPackets)</code>
<div class="block">Update the exported packet status</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketUploadService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketUploadService.html#updateStatus-java.util.List-">updateStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;packetUploadStatus)</code>
<div class="block">Update the Packet upload status to the local Database.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a> in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#fetchPacketsToBeSynched--">fetchPacketsToBeSynched</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ReRegistrationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/ReRegistrationServiceImpl.html#getAllReRegistrationPackets--">getAllReRegistrationPackets</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PacketExportServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketExportServiceImpl.html#getSynchedRecords--">getSynchedRecords</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a> with type arguments of type <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#packetSync-java.util.List-">packetSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;packetsToBeSynched)</code>
<div class="block">This method is used to synch the local packets with the server.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketExportServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketExportServiceImpl.html#updateRegistrationStatus-java.util.List-">updateRegistrationStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;exportedPackets)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketUploadServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketUploadServiceImpl.html#updateStatus-java.util.List-">updateStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;packetsUploadStatus)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#updateSyncStatus-java.util.List-">updateSyncStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;synchedPackets)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.sync">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a> in <a href="../../../../../io/mosip/registration/service/sync/package-summary.html">io.mosip.registration.service.sync</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/sync/package-summary.html">io.mosip.registration.service.sync</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#fetchPacketsToBeSynched--">fetchPacketsToBeSynched</a></span>()</code>
<div class="block">This method is used to fetch the packets from the table which needs to be
 synched.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../io/mosip/registration/service/sync/package-summary.html">io.mosip.registration.service.sync</a> with type arguments of type <a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#packetSync-java.util.List-">packetSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;packetsToBeSynched)</code>
<div class="block">Packet sync.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#updateSyncStatus-java.util.List-">updateSyncStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;synchedPackets)</code>
<div class="block">This method is used to update the synched packets in the table.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/class-use/PacketStatusDTO.html" target="_top">Frames</a></li>
<li><a href="PacketStatusDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
